OTBCLI_MULTIIMAGESAMPLINGRATE(1)

NAME
otbcli_MultiImageSamplingRate - OTB MultiImageSamplingRate application

DESCRIPTION
This is the MultiImageSamplingRate application, version 5.8.0 Compute sampling rate for an input set of images.

Complete documentation: http://www.orfeo-toolbox.org/Applications/MultiImageSamplingRate.html

  Parameters:

-progress
    <boolean> Report progress

 -il <string list> Input statistics (mandatory)
 -out <string> Output sampling rates (mandatory)

-strategy
    <string> Sampling strategy [byclass/constant/smallest/percent/total/all] (mandatory, default value is smallest)

-strategy.byclass.in
    <string list> Number of samples by class (mandatory)

-strategy.constant.nb <string>
    Number of samples for all classes (mandatory)

-strategy.percent.p
    <string> The percentage(s) to use (mandatory)

-strategy.total.v
    <string> The number of samples to generate (mandatory)

-mim
    <string> Multi-Image Mode [proportional/equal/custom] (mandatory, default value is proportional)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_MultiImageSamplingRate -il stats_1.xml stats_2.xml -out rates.csv -strategy smallest -mim proportional